#include <iostream>
#include <algorithm>
#include <set>
#include <map>
#include <climits>
#include <unordered_map>
#include <unordered_set>
#include <cmath>
#include <vector>
#pragma GCC optimize("Ofast")
using namespace std;
using ll = long long;
using ld = long double;
const ll maxn = 500'000, inf = 1'000'000'000'000, mod = 998'244'353;
struct ani {
	int x, nap;
};
int main() {
	cin.tie(0)->sync_with_stdio(0);
	cout << "NO";
	return 0;
	int t; cin >> t;
	int n, m; cin >> n >> m;
	if (t == 1) {
		vector<int> a(n);
		for (int i = 0; i < n; ++i) {
			cin >> a[i];
		}
		sort(a.begin(), a.end());
		bool f = 1;
		for (int i = 1; i < n; ++i) {
			if ((a[i] - a[i - 1]) % 2 == 1) f = 0;
		}
		if (f) cout << "YES";
		else cout << "NO";
		return 0;
	}
	//n==2
	vector<ani> a(n);
	for (int i = 0; i < n; ++i) {
		cin >> a[i].x;
	}
	for (int i = 0; i < n; ++i) {
		char c; cin >> c;
		a[i].nap = c == 'L';
	}
	if ((a[0].x - a[1].x) % 2 == 0) {
		cout << "NO";
		return 0;
	}
	cout << (n / 2 + 1);
}